Update Knowledge Base
curl --request PATCH \
--url https://api.example.com/api/knowledge_bases/{kb_id} \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_base_name": "<string>",
"agent_id": 123,
"context": "<string>",
"context_url": "<string>",
"vector_db_name_space": "<string>",
"embedding_model": "<string>",
"embedding_dimension": 1536,
"description": "<string>"
}
'import requests
url = "https://api.example.com/api/knowledge_bases/{kb_id}"
payload = {
"knowledge_base_name": "<string>",
"agent_id": 123,
"context": "<string>",
"context_url": "<string>",
"vector_db_name_space": "<string>",
"embedding_model": "<string>",
"embedding_dimension": 1536,
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base_name: '<string>',
agent_id: 123,
context: '<string>',
context_url: '<string>',
vector_db_name_space: '<string>',
embedding_model: '<string>',
embedding_dimension: 1536,
description: '<string>'
})
};
fetch('https://api.example.com/api/knowledge_bases/{kb_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"knowledge_base_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_id": 123,
"context": "<string>",
"context_url": "<string>",
"vector_db_name_space": "<string>",
"embedding_model": "<string>",
"embedding_dimension": 123,
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}knowledge_bases
Update Knowledge Base
PATCH
/
api
/
knowledge_bases
/
{kb_id}
Update Knowledge Base
Path Parameters
Body
application/json
Response
Successful Response
⌘I